test:
	test -f Dockerfile
	test -f docker-compose.yml

compose-install:
	docker-compose run service-app echo 'install'

compose-start:
	docker-compose up --abort-on-container-exit

compose-setup: compose-down compose-build compose-install

compose-build:
	docker-compose build

compose-down:
	docker-compose down || true

compose-stop:
	docker-compose stop || true

compose-restart:
	docker-compose restart

compose-bash:
	docker-compose run service-app bash

compose-up:
	docker-compose up -d
